summaryrefslogtreecommitdiffstats
path: root/apps/buildah-dragonfly.sh
diff options
context:
space:
mode:
Diffstat (limited to 'apps/buildah-dragonfly.sh')
-rw-r--r--apps/buildah-dragonfly.sh11
1 files changed, 11 insertions, 0 deletions
diff --git a/apps/buildah-dragonfly.sh b/apps/buildah-dragonfly.sh
new file mode 100644
index 0000000..a55041c
--- /dev/null
+++ b/apps/buildah-dragonfly.sh
@@ -0,0 +1,11 @@
+#! /usr/bin/env bash
+
+set -o errexit
+
+container=$(buildah from pycuda:latest)
+
+buildah config --env LANG="C.UTF-8" --env LC_ALL="C.UTF-8" --env TERM="xterm" $container
+buildah run $container sh -c 'apt-get install -y libxcomposite-dev libxcursor-dev libxdamage-dev libxtst6 libpci3'
+
+
+buildah commit --format docker $container dragonfly:latest